MUNIN-RUN(1)

NAME
munin-run - A program to run Munin plugins from the command line

SYNOPSIS
munin-run [options] <plugin> [ config | autoconf | snmpconf | suggest ]

DESCRIPTION
munin-run is a script to run Munin plugins from the command-line. It's useful when debugging plugins, as they are run in the same conditions as they are under munin-node.

OPTIONS

--config <configfile>
    Use <file> as configuration file. [/etc/munin/munin-node.conf]

--servicedir <dir>
    Use <dir> as plugin dir. [/etc/munin/plugins/]

--sconfdir <dir>
    Use <dir> as plugin configuration dir. [/etc/munin/plugin-conf.d/]

--sconffile <file>
    Use <file> as plugin configuration. Overrides sconfdir. [undefined]

--paranoia
    Only run plugins owned by root and check permissions. [disabled]

--help
    View this help message.

--debug
    Print debug messages. Debug messages are sent to STDOUT and are prefixed with "#" (this makes it easier for other parts of munin to use munin-run and still have --debug on). Only errors go to STDERR.

--pidebug
    Plugin debug. Sets the environment variable MUNIN_DEBUG to 1 so that plugins may enable debugging. [disabled]

--version
    Show version information.

FILES
    /etc/munin/munin-node.conf
    /etc/munin/plugins/*
    /etc/munin/plugin-conf.d/*
    /run/munin/munin-node.pid
    /var/log/munin/munin-node.log

VERSION
This is munin-run (munin-node) v2.0.26

$Id$

AUTHORS
Audun Ytterdal, Jimmy Olsen, Tore Anderson, Nicolai Langfeldt.

BUGS
Please see <http://munin-monitoring.org/report/1>.

COPYRIGHT
Copyright (C) 2002-2009 Audun Ytterdal, Jimmy Olsen, Tore Anderson, Nicolai Langfeldt / Linpro AS.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

This program is released under the GNU General Public License